# Generated by Django 2.0.5 on 2022-06-01 09:07

from django.conf import settings
import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('accounts', '0106_auto_20220519_1208'),
        ('sales', '0008_salesactivity_opportunity_id'),
    ]

    operations = [
        migrations.CreateModel(
            name='AgreementTemplate',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=150)),
                ('is_disabled', models.BooleanField(default=False)),
                ('sections', django.contrib.postgres.fields.jsonb.JSONField(default=[])),
                ('products', django.contrib.postgres.fields.jsonb.JSONField(default=[])),
                ('major_version', models.PositiveIntegerField(blank=True, default=1, null=True)),
                ('minor_version', models.PositiveIntegerField(blank=True, default=0, null=True)),
                ('min_discount', models.IntegerField(default=0)),
                ('max_discount', models.IntegerField(default=0)),
                ('version_description', models.TextField(blank=True, default='')),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='created_agreement_templates', to=settings.AUTH_USER_MODEL)),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='agreement_templates', to='accounts.Provider')),
                ('updated_by', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='updated_agreement_templates', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'ordering': ['-updated_on'],
            },
        ),
        migrations.AlterUniqueTogether(
            name='agreementtemplate',
            unique_together={('name', 'provider')},
        ),
    ]
